Package com.avaya.clientservices.network.security

## Class IntegratedTrustManager

- java.lang.Object
- - com.avaya.clientservices.network.security.IntegratedTrustManager

- All Implemented Interfaces:
    `javax.net.ssl.TrustManager`, `javax.net.ssl.X509TrustManager`

      public class IntegratedTrustManager
      extends java.lang.Object
      implements javax.net.ssl.X509TrustManager

  TrustManager for Client SDK. Integrates Network Provider with Certificate Manager.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegratedTrustManager​(CertificateManager certificateManager)` |
    `IntegratedTrustManager​(CertificateManager certificateManager, boolean overridePrivateTrustStore)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkClientTrusted​(java.security.cert.X509Certificate[] chain, java.lang.String authType)` |
    `void` | `checkServerTrusted​(java.security.cert.X509Certificate[] chain, java.lang.String authType)` |
    `java.security.cert.X509Certificate[]` | `getAcceptedIssuers()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedTrustManager

          public IntegratedTrustManager​(CertificateManager certificateManager,
                                        boolean overridePrivateTrustStore)

    - #### IntegratedTrustManager

          public IntegratedTrustManager​(CertificateManager certificateManager)

  - ### Method Detail

    - #### checkClientTrusted

          public void checkClientTrusted​(java.security.cert.X509Certificate[] chain,
                                         java.lang.String authType)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

    - #### checkServerTrusted

          public void checkServerTrusted​(java.security.cert.X509Certificate[] chain,
                                         java.lang.String authType)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

    - #### getAcceptedIssuers

          public java.security.cert.X509Certificate[] getAcceptedIssuers()

      Specified by:
        `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`